Subject: Bug#247: session resuming broken by DB based session control feature in x2gocleansessions

From: Mike Gabriel <[email-masked]>
Date: Sat, 22 Jun 2013 11:07:45 +0200

Package: x2goserver
Severity: grave
Version: 4.0.1.0

Hi Karel,

I have forwarded your precise problem description to the X2Go bug tracker.

On Do 20 Jun 2013 07:58:07 CEST Karel wrote:

> No I must say, it's unstable under linux too, not only win7.
>  My server side is with automatic updates switched on and I see multiple
> times in week a notifications about that. Sometimes it will suggest me to
> reboot my computer to update but I will not do it before weekend -
> somewhere in the saturday evening but not at every week.
>  My linux client side is with automatic updates turned off and I will
> update it manually at friday afternoon (if I remember to do it and if I
> have a time to do it) before turning off for the weekend.
>  So it is very hard to tell which updates and at which side was a cause of
> the problems. Windows client is updated very rarely. But somewhere at last
> two weeks I started to see problems connecting to suspended x2go sessions.
> After then I updated also windows client but no better
> stability.
>  If I connect from linux client it will disconnect me after I try to
> connect to my suspended session (for a moment I can see my desktop and
> sometimes I can click something and run a command or two). Every time I
> see my suspended session (with ID number) so I will assume my login was
> correct. After few retries (number of times differ from day to day) I will
> get a connection and it is stable until evening then I disconnect it
> before going home.
>  At home I will connect from windows client and also there is login
> correct because I see my suspended session with ID number (sometimes it is
> not 50 but over that but this is a same until I must make a new session).
> If I try to resume this session I will sometimes see my desktop for a few
> seconds (and sometimes I can click and run a command or two) but it will
> disconnect me again saying something about my incorrect credentials. After
> few retries I will get my session and this is stable until i disconnect it
> later. PyHoca-GUI is more stable and with this I can reconnect better. I
> have'nt used windows x2go-client for a last week or two anymore.
> But there are also cases there after a few unsuccessfull reconnections
> PyHoca-GUI will not show my suspended session anymore and I must start a
> new one. And there is a new session at the server - the old one is gone
> with all related programs closed.

I presume you use x2goserver 4.0.1.1 or 4.1.0.0. These versions  
received a feature update in x2gocleansessions (the X2Go daemon  
watching the session DB in the background).

I am currently working on a fix for this issue.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb